package com.ibeetl.admin.flow.service;

import com.ibeetl.admin.core.service.BaseService;
import com.ibeetl.admin.flow.dao.DirectedFunnelDao;
import com.ibeetl.admin.flow.entity.DirectedFunnelEntity;
import com.ibeetl.admin.flow.entity.QueryDirectedFunnel;
import org.apache.poi.ss.formula.functions.T;
import org.beetl.sql.core.engine.PageQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class DirectedFunnelService extends BaseService<T>{
	
	@Autowired
	private  DirectedFunnelDao dao;
	
	public List<DirectedFunnelEntity> queryList(PageQuery<QueryDirectedFunnel> query) {
		PageQuery<DirectedFunnelEntity> ret = dao.queryListInfos(query);
		queryListAfter(ret.getList());
		return ret.getList();
		

	
	}

	public List<QueryDirectedFunnel> findAllFunnelProduct() {
		return dao.findAllFunnelProduct();
	}

	public List<QueryDirectedFunnel> findAllFunnelTypename() {
		return dao.findAllFunnelTypename();
	}

}
